RHEL 5 : freeradius (RHSA-2009:1451)

Medium Nessus Plugin ID 41008


The remote Red Hat host is missing one or more security updates.


Updated freeradius packages that fix a security issue are now available for Red Hat Enterprise Linux 5.

This update has been rated as having moderate security impact by the Red Hat Security Response Team.

FreeRADIUS is a high-performance and highly configurable free Remote Authentication Dial In User Service (RADIUS) server, designed to allow centralized authentication and authorization for a network.

An input validation flaw was discovered in the way FreeRADIUS decoded specific RADIUS attributes from RADIUS packets. A remote attacker could use this flaw to crash the RADIUS daemon (radiusd) via a specially crafted RADIUS packet. (CVE-2009-3111)

Users of FreeRADIUS are advised to upgrade to these updated packages, which contain a backported patch to correct this issue. After installing the update, radiusd will be restarted automatically.


Update the affected packages.

See Also



Plugin Details

Severity: Medium

ID: 41008

File Name: redhat-RHSA-2009-1451.nasl

Version: $Revision: 1.14 $

Type: local

Agent: unix

Published: 2009/09/18

Modified: 2017/01/03

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:freeradius, p-cpe:/a:redhat:enterprise_linux:freeradius-mysql, p-cpe:/a:redhat:enterprise_linux:freeradius-postgresql, p-cpe:/a:redhat:enterprise_linux:freeradius-unixODBC, cpe:/o:redhat:enterprise_linux:5, cpe:/o:redhat:enterprise_linux:5.4

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Patch Publication Date: 2009/09/17

Reference Information

CVE: CVE-2003-0967, CVE-2009-3111

RHSA: 2009:1451